{ Copyright (C) 2004 A.J. Venter

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons,libdireqcafe,unit2,oldlinux,crt,unit3;


type
  TForm1 = class(TForm)
    Button1: TBUTTON;
    Label1: TLabel;
    Timer1: TTIMER;


    procedure Button1Click(Sender: TObject);
    procedure Form1Close(Sender: TObject; var CloseAction: TCloseAction);
    procedure Form1Create(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

 Procedure WaitPS;
 function checkPS : Boolean;
 
var
  Form1: TForm1; 
  User : String;
  HasWarned : Integer;
  CFG : Configuration;
  
implementation

{ TForm1 }

function checkPS : Boolean;
Begin
CheckPS := Shell (' if ps ax  | grep -v "grep"| grep "'+cfg.desktop+'"  > /dev/null 2>&1; then /bin/true; else /bin/false;fi') = 0
end;

Procedure WaitPS;
Begin
while not CheckPS
do
delay (100);
end;

procedure TForm1.Timer1Timer(Sender: TObject);

begin
if not CheckPS then
 Begin
     SetUserStatus(user,UserLoggedOut);
    application.terminate;
 end;

if (GetUserStatus(UseR) <> UserLoggedOut) AND (GetUserStatus(User) <>  UserKick) then
begin
    Form1.Caption := 'DireqCafe Timer: '+IntToStr(GetUserTime(user))+' Minutes left';
    Form1.Button1.Caption := 'DireqCafe Timer: '+IntToStr(GetUserTime(user))+' Minutes left';
end else
begin
     SetUserStatus(User,UserLoggedOut);
     delay(20000);
     application.terminate;
end;

If (GetUserTime(user) < HasWarned) And (GetUserTime(user) <> 0) then
   Begin
        hasWarned := getUserTime(User);
        Time := IntToStr(HasWarned);
        form2.show;
   end;
end;

procedure TForm1.Form1Create(Sender: TObject);
begin
   Form1.Caption := 'DireqCafe Timer: '+IntToStr(GetUserTime(user))+' Minutes left';
    Form1.Button1.Caption := 'DireqCafe Timer: '+IntToStr(GetUserTime(user))+' Minutes left';
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
     SetUserStatus(user,UserPaused);
  shell ('/usr/share/direqcafe/bin/pause');
     SetUserStatus (User,UserLoggedIn);
end;

procedure TForm1.Form1Close(Sender: TObject; var CloseAction: TCloseAction);
begin
//form3.showModal;
//if form3.modalResult = MrYes then
//begin
         SetUserStatus(user,UserLoggedOut);
         application.terminate;
//end else
//begin
//end;
end;





initialization
  {$I unit1.lrs}

end.

