{Add Time for User}
{ Copyright (C) 2004 A.J. Venter

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit unit3; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,oldlinux,libdireqcafe,
  Buttons, Spin;

type
  TForm3 = class(TForm)
    Button1: TBUTTON;
    Button2: TBUTTON;
    Combobox1: TCOMBOBOX;
    Label1: TLABEL;
    Label2: TLABEL;
    Label3: TLABEL;
    Label4: TLABEL;
    Spinedit1: TSPINEDIT;
    Spinedit2: TSPINEDIT;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Form3Activate(Sender: TObject);



  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form3: TForm3; 
  TimeUser: String;
  
implementation

{ TForm3 }





{ TForm3 }

procedure TForm3.Form3Activate(Sender: TObject);
var   allusers, users: tstrings;
  i: integer;
  S :String;
begin
   allusers := tstringlist.create;
   users := tstringlist.create;
   allusers.loadfromfile('/etc/passwd');
     for i := 0 to allusers.count - 1 do
     begin
       S := copy (allusers.strings[i],1,pos(':',allusers.strings[i]) -1);
       if shell ('if groups '+s+' | grep icafe > /dev/null ; then /bin/true ; else /bin/false; fi') = 0
       then
          users.add (S);
    end;
form3.combobox1.items.assign (users);
allusers.free;
If length (TimeUser) <> 0 then
   form3.combobox1.text := TimeUser;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
    Form3.Close;
end;


procedure TForm3.Button1Click(Sender: TObject);
Var X,Y,Z : integer;
    Price,Cost : Real;
    Error,C,T: String;
    NewTime : Integer;
begin
Error := 'NONE';
     Val (SpinEdit1.Text,X,Z);
     If Z <> 0 then Error := 'Hours must be an integer value';
     Val (SpinEdit2.Text,Y,Z);
     If Z <> 0 then Error := 'Minutes must be an integer value';
Z := ((X * 60) + Y);


If Error = 'NONE' then
Begin
     form3.hide;
     AddUserTime(ComboBox1.Text,Z);
     Val(MyConfig.Price,Price,X);
     Cost := Z * Price;
     NewTime := GetUserTime(combobox1.text);
     Str(Cost:5:2,C);
     Str(NewTime,T);
     ShowMessage ('Success: User has '+T+' minutes available. User Owes: '+MyConfig.Currency+' '+C);
end else
begin
   ShowMessage (Error);
   form3.show;
end;
   
 Form3.Close;
 
end;

initialization
  {$I unit3.lrs}

end.

