{User Monitor}
{ Copyright (C) 2004 A.J. Venter

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place - Suite 330, Boston, MA 02111-1307, USA.
}

unit unit7;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, Buttons, ComCtrls, LibDireqCafe,oldlinux, ExtCtrls,unit3;

type
  TForm7 = class(TForm)
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Listview1: TLISTVIEW;
    Panel1: TPanel;
    Timer1: TTIMER;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Form7Close(Sender: TObject; var CloseAction: TCloseAction);
    procedure Form7Create(Sender: TObject);
    procedure Form7Hide(Sender: TObject);
    procedure Form7Show(Sender: TObject);
    procedure Listview1Selectitem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form7: TForm7; 
  All :Boolean;

implementation

Procedure GetList (ShowAll: boolean);
var   allusers, users: tstrings;
  i,x: integer;
  S :String;
  St: ShortString;
  U: UserRec;
  Item: TListItem;
begin

with Form7 do
begin
ListView1.Items.Clear;
X := 1;
{First get a full list of icafe users}
   allusers := tstringlist.create;
   users := tstringlist.create;
   allusers.loadfromfile('/etc/passwd');
     for i := 0 to allusers.count - 1 do
     begin
       S := copy (allusers.strings[i],1,pos(':',allusers.strings[i]) -1);
       if shell ('if groups '+s+' | grep icafe > /dev/null ; then /bin/true ; else /bin/false; fi') = 0
       then
       if shell ('if [ -r /usr/share/direqcafe/db/'+s+' ] ; then /bin/true ; else /bin/false; fi') = 0
       then
          users.add (S);
      end;
For I := 0 to users.count -1 do
begin
   St :=  shortstring(users.strings[i]);
     if IsActive(st) = 0 then
     begin
        U.Status := getUserStatus (st);
        U.Time := GetUserTime(st);
      end else
     Begin
          U.Status := 3;
          U.Time := 0;
     end; {if}
       If showAll then
           begin
               Item := ListView1.Items.Add;
               Item.Caption := users.strings[i];
               Item.SubItems.Add(intToStr(U.time));
           {ListView1.Items.Item[X].Caption := users.strings[i];
           listview1.Items.Item[x].subItems.Strings[0] := IntToStr(U.Time);}
               Case U.Status of
               0: Item.SubItems.Add('Not logged in');
               1: Item.SubItems.Add('Logged in');
               2: Item.Subitems.Add('Paused');
               3: Item.SubItems.Add('Not Active');
               4: Item.SubItems.Add('Kicked');
               end; {Case}


           inc(X);
           
           end else
           If (U.Status = 1) or (U.Status = 2) then
           begin
          { ListView1.Items.Item[X].Caption := users.strings[i];
           listview1.Items.Item[x].subItems.Strings[0] := IntToStr(U.Time);}
               Item := ListView1.Items.Add;
               Item.Caption := users.strings[i];
               Item.SubItems.Add(intToStr(U.time));
           {ListView1.Items.Item[X].Caption := users.strings[i];
           listview1.Items.Item[x].subItems.Strings[0] := IntToStr(U.Time);}
               Case U.Status of
               0: Item.SubItems.Add('Not logged in');
               1: Item.SubItems.Add('Logged in');
               2: Item.Subitems.Add('Paused');
               3: Item.SubItems.Add('Not Active');
               4: Item.SubItems.Add('Kicked');
               end; {Case}
            inc(X);
            end; {If}
end; {For}
allusers.free;
users.free;
end;
end;

{ TForm7 }

procedure TForm7.Form7Create(Sender: TObject);
begin
    All := False;
end;

procedure TForm7.Form7Hide(Sender: TObject);
begin
    timer1.enabled := false;
end;

procedure TForm7.Form7Show(Sender: TObject);
begin
   getlist(all);
   timer1.enabled := true;
end;

procedure TForm7.Listview1Selectitem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
Var X : Integer;
begin
   X := getUserStatus (Item.Caption);

   If (X = UserLoggedIn) or (X = UserPaused) then
      form7.button3.enabled := true else form7.button3.enabled := False;;
end;

procedure TForm7.Timer1Timer(Sender: TObject);
begin
  getList(All);
end;

procedure TForm7.Button1Click(Sender: TObject);

begin
  SetUserStatus (Form7.ListView1.Selected.Caption,UserKick);
  Form7.ListView1.Selected.Subitems.Strings[1] := 'Kicked';
  ListView1.Update;
  Button3.Enabled := False;;
end;

procedure TForm7.Button2Click(Sender: TObject);
begin
     If  All then
        Begin
             All := False;
             Button5.Caption := 'Show All';
        end else
            begin
            Button5.Caption := 'Show online only';
            All := True;
        end;
    GetList(All);
end;

procedure TForm7.Button4Click(Sender: TObject);
begin
TimeUser :=  Form7.ListView1.Selected.Caption;
     form3.show;
getList(All);
end;

procedure TForm7.Form7Close(Sender: TObject; var CloseAction: TCloseAction);
begin
      timer1.enabled := false;
end;



initialization
  {$I unit7.lrs}

end.

